HttpRequest::getResponseHeader
HttpRequest::getResponseMessage
HttpRequest
PHP Manual

# HttpRequest::getResponseInfo

(PECL pecl_http >= 0.10.0)

HttpRequest::getResponseInfo — Get response info

### Description

public mixed HttpRequest::getResponseInfo ([ string `$name` ] )

Get response info after the request has been sent.

See http_get() for a full list of returned info.

If redirects were allowed and several responses were received, the data references the last received response.

### Parameters

`name`

  the info to read; if empty or omitted, an associative array containing all available info will be returned

### Return Values

Returns either a scalar containing the value of the info matching name if requested, `FALSE` on failure, or an associative array containing all available info.

HttpRequest::getResponseHeader
HttpRequest::getResponseMessage
HttpRequest
PHP Manual